We have received many queries for upgrading our Joomla extensions to 1.7 as all of them are 1.5 compatible. Upgrading one of our most popular Joomla extension¬†‘Google Ajax RSS feed module’ is our first step in that direction. We have upgraded the the module to 1.7 and it’s not available in both Joomla 1.5 and